{% load_banners position: position %}

{% if loaded_banners.size > 0 %}
  <section class="section container side-by-side">
    {% for banner in loaded_banners %}
      {% assign show_cta = false %}
      {% if banner.subtitle != blank and banner.url != blank %}
        {% assign show_cta = true %}
      {% endif %}

      <div class="side-by-side-content {% if background %} -background {% endif %}">
        {% if banner.file_url != blank %}
          {% capture data_srcset %}
            {{ banner.file_url | resize: '345x' }}
            345w,
            {{ banner.file_url | resize: '390x' }}
            390w,
            {{ banner.file_url | resize: '640x' }}
            640w,
            {{ banner.file_url | resize: '700x' }}
            700w,
            {{ banner.file_url | resize: '770x' }}
            770w,
            {{ banner.file_url | resize: '900x' }}
            900w
          {% endcapture %}

          {% capture data_sizes %}
            (max-width: 375px) 345px,
            (max-width: 425px) 390px,
            (max-width: 767px) 700px,
            (max-width: 991px) 900px,
            (max-width: 1280px) 630px,
            (min-width: 1440px) 750px,
          {% endcapture %}

          {% if banner.url != blank %}
            <a class="image -custom" href="{{ banner.url }}" {% if banner.external %} target="_blank" {% endif %}>
          {% else %}
            <figure class="image -custom">
          {% endif %}
            
            <img class="lazy" loading="lazy" data-srcset="{{ data_srcset | strip_newlines | strip }}" data-sizes="{{ data_sizes | strip_newlines | strip }}" alt="{{ banner.title }}"/>
          
          {% if banner.url != blank %}
           </a>
          {% else %}
            </figure>
          {% endif %}
        {% endif %}

        {% if banner.description != blank or show_cta %}     
          <div class="texts">
            <div class="texts-inner">
              {% if banner.description != blank %}
                {{ banner.description | replace: '<h1', '<h2' | replace: '<h2', '<h2 class="title"' | replace: '<p', '<p class="description"' | replace: '<h3', '<h3 class="upper-title"' }}
              {% endif %}
              {% if show_cta %}
                <a class="button-default -outlined" aria-label="{{ banner.subtitle }}" href="{{ banner.url }}" {% if banner.external %} target="_blank" {% endif %}>{{ banner.subtitle }}</a>
              {% endif %}
            </div>
          </div>
        {% endif %}
      </div>
    {% endfor %}
  </section>
{% endif %} 
